global gObj, gFunctionFlag, gFileCounter, gDialogEnabled, gRecordFlag, gRecordLength, gRecordCounter, gScratchPath, gDirectorio, myXobj, gBootName, gSystemFolder, pregunta2

on esconder
  set the visible of sprite 48 to 0
end

on autoaprendizaje
  if the visible of sprite 48 = 0 then
    set the visible of sprite 48 to 1
  else
    set the visible of sprite 48 to 0
  end if
end

on whichKey
  if the key = RETURN then
    dontPassEvent()
  end if
  if the commandDown and (the keyCode = 35) then
    beep()
  end if
end

on startMovie
  set the exitLock to 1
  set the keyDownScript to "whichkey"
  set mycursor to [1697, 1698]
  set the cursor of sprite 1 to mycursor
  set the visible of sprite 48 to 0
  if the machineType < 256 then
    openXLib("@:::misc_x Xobj")
    set myXobj to MISC_X(mnew)
    set gBootName to myXobj(mBootName)
    set gSystemFolder to myXobj(mSystemFolder)
  else
    openXLib("@:::misc_x")
    set myXobj to MISC_X(mnew)
    set gBootName to myXobj(mBootName)
    set gPrefsFolder to myXobj(mWindowsDirectory)
  end if
  if the machineType <> 256 then
    openXLib("@:::sound_x.xob")
    if objectp(gObj) then
      gObj(mdispose)
    end if
    set gFileCounter to 0
    set gFunctionFlag to EMPTY
    set gRecordFlag to 0
    set gObj to SOUND_X(mnew)
    if not gObj(mSndInAvail) = 1 then
      alert("This example requires a sound input device. Recording will be disabled")
      set gFunctionFlag to 0
    else
      set gFunctionFlag to 1
    end if
  end if
  if the machineType = 256 then
    openXLib("@:::sound_x.dll")
    if objectp(gObj) then
      gObj(mdispose)
    end if
    set gFileCounter to 0
    set gFunctionFlag to EMPTY
    set gRecordLength to 30
    set gRecordFlag to 0
    set gDialogEnabled to 1
    set gObj to SOUND_X(mnew)
    if gObj(mDriverInstalled) <> 1 then
      alert("This example requires the mci wave driver to be present in your system.Please check the installed drivers in the Windows Control Panel")
      set gFunctionFlag to 0
    else
      set gFunctionFlag to 1
    end if
    if gObj(mSndInAvail) <> 1 then
      alert("This example requires a sound input device. Recording will be disabled")
      set gFunctionFlag to 0
    else
      set gFunctionFlag to 1
    end if
  end if
end

on showRecordDialog
  if the machineType <> 256 then
    if gFunctionFlag = 1 then
      if objectp(gObj) then
        set gFileCounter to gFileCounter + 1
        set theRecordingFile to getCurrentFileName()
        gObj(mDlgRecord, theRecordingFile, 330, 210)
      end if
    end if
  end if
  if the machineType = 256 then
    if gFunctionFlag = 1 then
      if objectp(gObj) then
        set howLong to 30
        set gFileCounter to gFileCounter + 1
        getCurrentFileName()
        gObj(mDlgRecord, the result, howLong, 330, 210)
      end if
    end if
  end if
end

on getCurrentFileName
  if the machineType <> 256 then
    set theFile to gSystemFolder & "sound_x" & string(gFileCounter) & ".aif"
    return theFile
  end if
  if the machineType = 256 then
    set theFile to gBootName & "sound_x" & string(gFileCounter) & ".wav"
    return theFile
  end if
end

on recordSound
  showRecordDialog()
end

on stopSound
  if the machineType = 256 then
    if gRecordFlag = 1 then
      stopRecording()
      set gRecordFlag to 0
    else
      sound stop 1
    end if
  end if
  if the machineType <> 256 then
    sound stop 1
  end if
end

on stopRecording
  getCurrentFileName()
  gObj(mAsyncStop, the result)
end

on stopMovie
  myXobj(mdispose)
  gObj(mdispose)
  if the machineType < 256 then
    closeXLib("@:::sound_x.xob")
    closeXLib("@:::misc_X Xobj")
  else
    closeXLib("@:::misc_x")
    closeXLib("@:::sound_x.dll")
  end if
end

on closeWindow
  stopMovie()
  tell the stage
    cleanupMIAW()
  end tell
end
